# ORB_Core_Auto_Ptr.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ORB_Core_Auto_Ptr.inl"`

Include dependency graph for ORB_Core_Auto_Ptr.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_ORB_Core_Auto_Ptr
| Define a TAO_ORB_Core auto_ptr class. More...

## Detailed Description

Id
  ORB_Core_Auto_Ptr.h,v 1.7 2005/11/02 07:13:04 ossama Exp

Author:
  DOC Center - Washington University at St. Louis

  DOC Laboratory - University of California at Irvine